Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.common
Class TrafficMask

    java.lang.Object
      org.apache.mina.common.TrafficMask

    public class TrafficMask

extends Object

A type-safe mask that is used to control the traffic of `IoSession` with `IoSession.setTrafficMask(TrafficMask)`.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Field Summary
`static TrafficMask` | `ALL` This mask resumes both reads and writes if any of them were suspended.
`static TrafficMask` | `NONE` This mask suspends both reads and writes.
`static TrafficMask` | `READ` This mask suspends writes, and resumes reads if reads were suspended.
`static TrafficMask` | `WRITE` This mask suspends reads, and resumes writes if writes were suspended.

Method Summary
`TrafficMask` | `and(TrafficMask mask)` Peforms an `AND` operation on this mask with the specified `mask` and returns the result.
`static TrafficMask` | `getInstance(int interestOps)` Returns an appropriate `TrafficMask` instance from the specified `interestOps`.
`int` | `getInterestOps()` Returns an interestOps of `SelectionKey` for this mask.
`String` | `getName()` Returns the name of this mask.
`boolean` | `isReadable()` Returns `true` if this mask allows a read operation.
`boolean` | `isWritable()` Returns `true` if this mask allows a write operation.
`TrafficMask` | `not()` Returns a negated mask of this one.
`TrafficMask` | `or(TrafficMask mask)` Peforms an `OR` operation on this mask with the specified `mask` and returns the result.
`String` | `toString()`
`TrafficMask` | `xor(TrafficMask mask)` Peforms an `XOR` operation on this mask with the specified `mask` and returns the result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final TrafficMask NONE

  This mask suspends both reads and writes.

### READ

    public static final TrafficMask READ

  This mask suspends writes, and resumes reads if reads were suspended.

### WRITE

    public static final TrafficMask WRITE

  This mask suspends reads, and resumes writes if writes were suspended.

### ALL

    public static final TrafficMask ALL

  This mask resumes both reads and writes if any of them were suspended.

Method Detail

### getInstance

    public static TrafficMask getInstance(int interestOps)

  Returns an appropriate `TrafficMask` instance from the specified `interestOps`.

  See Also:
    `SelectionKey`

### getName

    public String getName()

  Returns the name of this mask.

### isReadable

    public boolean isReadable()

  Returns `true` if this mask allows a read operation.

### isWritable

    public boolean isWritable()

  Returns `true` if this mask allows a write operation.

### getInterestOps

    public int getInterestOps()

  Returns an interestOps of `SelectionKey` for this mask.

### and

    public TrafficMask and(TrafficMask mask)

  Peforms an `AND` operation on this mask with the specified `mask` and returns the result.

### or

    public TrafficMask or(TrafficMask mask)

  Peforms an `OR` operation on this mask with the specified `mask` and returns the result.

### not

    public TrafficMask not()

  Returns a negated mask of this one.

### xor

    public TrafficMask xor(TrafficMask mask)

  Peforms an `XOR` operation on this mask with the specified `mask` and returns the result.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.